关于生成ipk编译过程中的库依赖问题

由于程序需要依赖一个动态库,系统本身有这个库的,同时我也将库拷贝到sdk环境下,如图

1.png

程序的makefile(单独make无问题):
2.png

工程下的Makefile,添加了库依赖:

3.png


4.png

 
可是make依旧报错啊啊啊啊

6.png

求解。

 
 
 
已邀请:

deone

赞同来自: nothspec noel

问题终于解决了,问题是SDK在ipk打包的过程中不能识别变化过的动态库,还需要自己在Makefile中添加
7.png

参考链接http://blog.csdn.net/gubenpeiyuan/article/details/8437640​ 
心塞了好久 
 

dyfly

赞同来自: nothspec noel

先看看有没有libc.so.6
staging_dir/target.../pkginfo  下面的XXX.provides找找看,主要看libc.provides

xzmu - 10w

赞同来自:

包含libpaho-mqtt3c.so.1的包的名称叫libpaho-mqtt3c么

要回复问题请先登录注册